Subject: Re: [PATCH net-next v2] net/sched: actions report errors with extack

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Feb 2024 13:41:12 -0800

On Fri, 9 Feb 2024 13:11:19 -0800 Stephen Hemminger wrote:
> On Thu, 8 Feb 2024 18:27:31 -0800
> Jakub Kicinski <[email-masked]> wrote:
> 
> > > -	if (!tb[TCA_ACT_BPF_PARMS])
> > > +	if (NL_REQ_ATTR_CHECK(extack, nla, tb, TCA_ACT_BPF_PARMS)) {
> > > +		NL_SET_ERR_MSG(extack, "Missing required attribute");    
> > 
> > Please fix the userspace to support missing attr parsing instead.  
> 
> I was just addressing the error handling. This keeps the same impact as
> before, i.e no userspace API change.

I mean that NL_REQ_ATTR_CHECK() should be more than enough by itself.
We have full TC specs in YAML now, we can hack up a script to generate
reverse parsing tables for iproute2 even if you don't want to go full
YNL.